## djangorestframework-gis 0.7

=== requirements.txt ===
djangorestframework>=2.3.14

=== debian/changelog ===
djangorestframework-gis (0.7-1) unstable; urgency=low

  * Initial release (Closes: #764969).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sun, 12 Oct 2014 18:46:46 +0200

=== debian/control ===
Source: djangorestframework-gis
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-djangorestframework,
               python-django-filter,
               python-gdal,
               python-pyspatialite,
               python-pysqlite2,
               python-setuptools,
               spatialite-bin
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: https://github.com/dmeehan/django-rest-framework-gis
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/djangorestframework-gis/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/djangorestframework-gis/trunk/

Package: python-djangorestframework-gis
Architecture: all
Depends: python-djangorestframework,
         python-django-filter,
         ${misc:Depends},
         ${python:Depends}
Description: Geographic add-ons for Django REST Framework
 djangorestframework-gis extends the Django REST Framework to also handle
 geographic data as used by GeoDjango during serialization and deserialization.
 It provides the following features:
 .
  * GeometryField: This field handles GeoDjango geometry fields, providing
      custom to_native and from_native methods for GeoJSON input/output.
  * GeoModelSerializer: This serializer updates the field_mapping dictionary to
      include field mapping of GeoDjango geometry fields to the above
      GeometryField.
  * GeoFeatureModelSerializer: GeoFeatureModelSerializer is a subclass of
      GeoModelSerializer which will output data in a format that is GeoJSON
      compatible.
  * InBBOXFilter: Filters a queryset to only those instances within a certain
      bounding box.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/djangorestframework-gis-$1/ \
https://github.com/djangonauts/django-rest-framework-gis/releases \
/djangonauts/django-rest-framework-gis/archive/v([\d\.]+)\.tar\.gz

## djangorestframework-gis 0.10.1

=== requirements.txt ===
djangorestframework>=3.3

=== debian/changelog ===
djangorestframework-gis (0.10.1-1) unstable; urgency=low

  * New upstream release.
  * Add patch to disable import of local settings for tests.
  * Switch to pypi.debian.net for uscan and enable PGP signature download.
  * Include upstream signing key 308BD46E.
  * Remove patch to disable tests that only work with PostGIS as it has been
    merged by upstream.

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Jan 2016 12:26:10 +0100

djangorestframework-gis (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update patch that skips tests for spatialite to use unittest package
    import directly.

 -- Michael Fladischer <fladi@debian.org>  Fri, 11 Dec 2015 12:34:49 +0100

djangorestframework-gis (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0003-Assert-that-the-coordinates-are-approximately-equal-.patch as it
    was merged by upstream.
  * Clean egg-info files to aaloow two clean builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Wed, 04 Nov 2015 09:40:43 +0100

djangorestframework-gis (0.9.5-1) unstable; urgency=medium

  [ Brian May ]
  * New upstream release.

  [ Michael Fladischer ]
  * Add patch to fix failed test becasue of different floating point precision
    in coordinates between PostgreSQL and spatialite (Closes: #802757).
  * Remove lintian overrides for missing changelog files. Upstream provides
    one now.

 -- Michael Fladischer <fladi@debian.org>  Tue, 27 Oct 2015 09:53:28 +0100

djangorestframework-gis (0.8-2) unstable; urgency=low

  * Provide separate Python3 package.
  * Use python-django-filters in Build-Depends and Depends.
  * Remove python-pyspatialite and python-pysqlite2 from Build-Depends.
  * Add lintian override for missing upstream changelog in Python3
    package.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Sep 2015 12:22:04 +0200

djangorestframework-gis (0.8-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/patches/spatialite.patch to work with libsqlite3-mod-
    spatialite (Closes: #793526).
  * Add skip_tests_spatialite.patch to skip unittests that are not
    supported by spatialite.
  * Make Depends and Build-Depends on python-djangorestframework
    versioned (>= 3.0.4).
  * Add libsqlite3-mod-spatialite to Build-Depends.
  * Remove spatialite-bin from Build-Depends.
  * Update Homepage field to the correct upstream location.
  * Update years in d/copyright.
  * Change my email address to fladi@debian.org.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Sep 2015 08:20:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,31 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
+               libsqlite3-mod-spatialite,
                python-all,
-               python-djangorestframework,
-               python-django-filter,
+               python-djangorestframework (>= 3.0.4),
+               python-django-filters,
                python-gdal,
-               python-pyspatialite,
-               python-pysqlite2,
                python-setuptools,
-               spatialite-bin
+               python3-all,
+               python3-djangorestframework (>= 3.0.4),
+               python3-django-filters,
+               python3-gdal,
+               python3-setuptools
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
-Homepage: https://github.com/dmeehan/django-rest-framework-gis
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/djangorestframework-gis/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/djangorestframework-gis/trunk/
+X-Python3-Version: >= 3.3
+Homepage: https://github.com/djangonauts/django-rest-framework-gis
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/djangorestframework-gis.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework-gis.git
 
 Package: python-djangorestframework-gis
 Architecture: all
-Depends: python-djangorestframework,
-         python-django-filter,
+Depends: python-djangorestframework (>= 3.0.4),
+         python-django-filters,
          ${misc:Depends},
          ${python:Depends}
 Description: Geographic add-ons for Django REST Framework
@@ -40,3 +44,27 @@
       compatible.
   * InBBOXFilter: Filters a queryset to only those instances within a certain
       bounding box.
+
+Package: python3-djangorestframework-gis
+Architecture: all
+Depends: python3-djangorestframework (>= 3.0.4),
+         python3-django-filters,
+         ${misc:Depends},
+         ${python3:Depends}
+Description: Geographic add-ons for Django REST Framework (Python3 version)
+ djangorestframework-gis extends the Django REST Framework to also handle
+ geographic data as used by GeoDjango during serialization and deserialization.
+ It provides the following features:
+ .
+  * GeometryField: This field handles GeoDjango geometry fields, providing
+      custom to_native and from_native methods for GeoJSON input/output.
+  * GeoModelSerializer: This serializer updates the field_mapping dictionary to
+      include field mapping of GeoDjango geometry fields to the above
+      GeometryField.
+  * GeoFeatureModelSerializer: GeoFeatureModelSerializer is a subclass of
+      GeoModelSerializer which will output data in a format that is GeoJSON
+      compatible.
+  * InBBOXFilter: Filters a queryset to only those instances within a certain
+      bounding box.
+ .
+ This package contains the Python 3 version of the library.

## djangorestframework-gis 0.11

=== requirements.txt ===
djangorestframework>=3.3,<3.6

=== debian/changelog ===
djangorestframework-gis (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 23 Nov 2016 21:09:11 +0100

djangorestframework-gis (0.10.1-2) unstable; urgency=medium

  * Add patches to fix tests with Django 1.8+ (Closes: #834669).
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Oct 2016 14:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                python3-django-filters,
                python3-gdal,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/djangorestframework-gis.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework-gis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework-gis.git
 
 Package: python-djangorestframework-gis

## djangorestframework-gis 0.11.2

=== debian/changelog ===
djangorestframework-gis (0.11.2-1) unstable; urgency=low

  * Upload to unstable (Closes: #865920).
  * Bump Standards-Version to 4.0.0.
  * Refresh patches after git-dpm to gbp pq conversion

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Aug 2017 20:47:59 +0200

djangorestframework-gis (0.11.2-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 28 May 2017 11:35:54 +0200

djangorestframework-gis (0.11.1-1~exp1) experimental; urgency=low

  * New upstream release.
  * Remove unused lintian override as we now check for valid signatures
    on upstream tarballs.

 -- Michael Fladischer <fladi@debian.org>  Fri, 12 May 2017 20:06:55 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-django-filters,
                python3-gdal,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/djangonauts/django-rest-framework-gis

## djangorestframework-gis 0.12

=== requirements.txt ===
six
djangorestframework>=3.3,<3.8

=== debian/changelog ===
djangorestframework-gis (0.12-1) unstable; urgency=low

  * New upstream release.
  * Move upstream signing key to debian/upstream/signing-key.asc.
  * Add python(3)-six to Build-Depends as they are used during tests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Bump Standards-Version to 4.1.1.
  * Enable autopkgtest-pkg-python testsuite.
  * Install README.rst for both Python2 and Python3 packages.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 10:50:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,39 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               libsqlite3-mod-spatialite,
-               python-all,
-               python-djangorestframework (>= 3.0.4),
-               python-django-filters,
-               python-gdal,
-               python-setuptools,
-               python3-all,
-               python3-djangorestframework (>= 3.0.4),
-               python3-django-filters,
-               python3-gdal,
-               python3-setuptools
-Standards-Version: 4.0.0
+Uploaders:
+ Michael Fladischer <fladi@debian.org>,
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ libsqlite3-mod-spatialite,
+ python-all,
+ python-django-filters,
+ python-djangorestframework (>= 3.0.4),
+ python-gdal,
+ python-setuptools,
+ python-six,
+ python3-all,
+ python3-django-filters,
+ python3-djangorestframework (>= 3.0.4),
+ python3-gdal,
+ python3-setuptools,
+ python3-six,
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework-gis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework-gis.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-djangorestframework-gis
 Architecture: all
-Depends: python-djangorestframework (>= 3.0.4),
-         python-django-filters,
-         ${misc:Depends},
-         ${python:Depends}
+Depends:
+ python-django-filters,
+ python-djangorestframework (>= 3.0.4),
+ ${misc:Depends},
+ ${python:Depends},
 Description: Geographic add-ons for Django REST Framework
  djangorestframework-gis extends the Django REST Framework to also handle
  geographic data as used by GeoDjango during serialization and deserialization.
@@ -47,10 +53,11 @@
 
 Package: python3-djangorestframework-gis
 Architecture: all
-Depends: python3-djangorestframework (>= 3.0.4),
-         python3-django-filters,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-django-filters,
+ python3-djangorestframework (>= 3.0.4),
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Geographic add-ons for Django REST Framework (Python3 version)
  djangorestframework-gis extends the Django REST Framework to also handle
  geographic data as used by GeoDjango during serialization and deserialization.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-gis

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/djangorestframework-gis/djangorestframework-gis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## djangorestframework-gis 0.13

=== requirements.txt ===
six
djangorestframework>=3.3,<3.9

=== debian/changelog ===
djangorestframework-gis (0.13-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Update spatialite patch to use full filename for mod_spatialite.so
    (Closes: #889663).
  * Bump Standards-Version to 4.1.4.
  * Bump debhelper compatibility and version to 11.

 -- Michael Fladischer <fladi@debian.org>  Sat, 05 May 2018 22:53:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  libsqlite3-mod-spatialite,
  python-all,
@@ -20,12 +20,12 @@
  python3-gdal,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework-gis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework-gis.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework-gis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework-gis
 Testsuite: autopkgtest-pkg-python
 
 Package: python-djangorestframework-gis

## djangorestframework-gis 0.14

=== requirements.txt ===
djangorestframework>=3.3,<3.10

=== debian/changelog ===
djangorestframework-gis (0.14-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * New upstream release.
  * Add patch to fix reading UTF-8 files in setup.py for Python2.
  * Fix the way tests are run by upstream now.
  * Bump Standards-Version to 4.2.1.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Dec 2018 22:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,7 @@
  python3-gdal,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.1.4
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Standards-Version: 4.2.1
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework-gis.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework-gis

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,6 @@
 	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} ./runtests.py"
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	dh_auto_test -- --system=custom --test-args="cd {build_dir}; {interpreter} tests/manage.py test tests/django_restframework_gis_tests"
+endif

## djangorestframework-gis 0.16

=== debian/changelog ===
djangorestframework-gis (0.16-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release (Closes: #971130).
  * Refresh patches.
  * Add patch to conditionally disable tests that either require Django
    3 or PostGIS.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Oct 2020 16:38:24 +0200

djangorestframework-gis (0.14-4) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Nilesh Patra ]
  * Change import-name (Closes: #961901)
  * Add autopkgtests
  * Add upstream/metadata
  * Bump standards version to 4.5.0
  * Compat version: 13
  * Add "Rules-Requires-Root:no"
  * Remove include binaries
    (no upstream signature in debian/ directory)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 13 Jun 2020 23:25:28 +0530

djangorestframework-gis (0.14-3) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 01:15:24 +0500

djangorestframework-gis (0.14-2) unstable; urgency=medium

  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support (Closes: #932156).
  * Re-export signing key with minimal options.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 15:53:28 +0200

=== debian/control ===
Source: djangorestframework-gis
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 libsqlite3-mod-spatialite,
 python3-all,
 python3-django-filters,
 python3-djangorestframework (>= 3.0.4),
 python3-gdal,
 python3-setuptools,
 python3-six,
Standards-Version: 4.5.0
Homepage: https://github.com/djangonauts/django-rest-framework-gis
Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-gis.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-gis
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-djangorestframework-gis
Architecture: all
Depends:
 python3-django-filters,
 python3-djangorestframework (>= 3.0.4),
 ${misc:Depends},
 ${python3:Depends},
Description: Geographic add-ons for Django REST Framework (Python3 version)
 djangorestframework-gis extends the Django REST Framework to also handle
 geographic data as used by GeoDjango during serialization and deserialization.
 It provides the following features:
 .
  * GeometryField: This field handles GeoDjango geometry fields, providing
      custom to_native and from_native methods for GeoJSON input/output.
  * GeoModelSerializer: This serializer updates the field_mapping dictionary to
      include field mapping of GeoDjango geometry fields to the above
      GeometryField.
  * GeoFeatureModelSerializer: GeoFeatureModelSerializer is a subclass of
      GeoModelSerializer which will output data in a format that is GeoJSON
      compatible.
  * InBBOXFilter: Filters a queryset to only those instances within a certain
      bounding box.
 .
 This package contains the Python 3 version of the library.

## djangorestframework-gis 0.18

=== debian/changelog ===
djangorestframework-gis (0.18-1) unstable; urgency=low

  * New upstream release.
  * Disable PGP signature check in uscan as upstream is not providing a
    signature for current releases.
  * Depend on python3-all for autopkgtests.
  * Update year in d/copyright.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 13 Jan 2022 11:21:56 +0000

djangorestframework-gis (0.17-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add python3-packaging to Build-Depends, required by tests.
  * Add patch to remove maximum/minimum range from integer-fields
    definition in unittests.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.
  * Remove unnecessary autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sat, 28 Aug 2021 20:33:50 +0000

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  python3-django-filters,
  python3-djangorestframework (>= 3.0.4),
  python3-gdal,
+ python3-packaging,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-gis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-gis
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-djangorestframework-gis

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=djangorestframework-gis
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Tests: run-unit-test
Depends:
 python3-all,
 @,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/djangorestframework-gis/djangorestframework-gis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## djangorestframework-gis 1.0

=== debian/changelog ===
djangorestframework-gis (1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-djangorestframework-gis: Drop versioned constraint on
      python3-djangorestframework in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 04:03:59 +0100

djangorestframework-gis (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #1013467).
  * Drop patches used for sqlite spatialite tests.
  * Disable build-time tests.
  * Rewrite autopkgtest to used PostGIS and spatialite (disabled because
    of https://code.djangoproject.com/ticket/32935).
  * Renumber patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Jul 2022 22:00:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- libsqlite3-mod-spatialite,
  python3-all,
- python3-django-filters,
- python3-djangorestframework (>= 3.0.4),
- python3-gdal,
- python3-packaging,
  python3-setuptools,
- python3-six,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-gis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-gis
@@ -25,7 +19,7 @@
 Architecture: all
 Depends:
  python3-django-filters,
- python3-djangorestframework (>= 3.0.4),
+ python3-djangorestframework,
  ${misc:Depends},
  ${python3:Depends},
 Description: Geographic add-ons for Django REST Framework (Python3 version)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-gis
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-postgis
Depends:
 libsqlite3-mod-spatialite,
 postgresql,
 postgresql-postgis,
 python3-all,
 python3-django-filters,
 python3-djangorestframework (>= 3.0.4),
 python3-gdal,
 python3-packaging,
 python3-psycopg2,
 python3-pytest-django,
 python3-six,
 python3-tz,
 @,
 @builddeps@,
Restrictions: needs-root,isolation-container,allow-stderr

## djangorestframework-gis 1.1

=== debian/changelog ===
djangorestframework-gis (1.1-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Try re-enabling tests.

  [ Christoph Berg ]
  * Test-depend only on postgresql-postgis, not postgresql, so in case of
    version skew, the postgis package pulls in the correct postgresql server
    version.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Sep 2025 23:29:02 +0200

djangorestframework-gis (1.1-1) unstable; urgency=medium

  * Team upload
  * Fix d/watch for new PyPi archive naming policy
  * New upstream version 1.1
  * Switch to pybuild-plugin-pyproject
  * Remove old Python2 patch
  * Bump Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Dec 2024 13:41:08 +0100

djangorestframework-gis (1.0-3) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * remove python3-six from d/tests/control

  [ Carsten Schoenert ]
  * [2f66839] autopkgtest: Ignore test_geo_json_pagination_schema
  * [534a488] d/control: Update Standards-Version to 4.6.2
  * [fed6159] d/control: Move to dh-sequence-python3
  * [69d61ff] d/rules: Remove --with option from default target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Mar 2024 18:59:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-gis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-gis

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
+# depend only on postgresql-postgis, not postgresql so in case of version skew,
+# the postgis package pulls in the correct postgresql server version.
 Tests: upstream-postgis
 Depends:
  libsqlite3-mod-spatialite,
- postgresql,
  postgresql-postgis,
  python3-all,
  python3-django-filters,
@@ -10,7 +11,6 @@
  python3-packaging,
  python3-psycopg2,
  python3-pytest-django,
- python3-six,
  python3-tz,
  @,
  @builddeps@,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/djangorestframework-gis/djangorestframework_gis-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## djangorestframework-gis 1.2.0

=== debian/changelog ===
djangorestframework-gis (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.2
  * Trim autopkgtest deps

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Dec 2025 13:17:59 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,10 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/djangonauts/django-rest-framework-gis
 Vcs-Git: https://salsa.debian.org/python-team/packages/djangorestframework-gis.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/djangorestframework-gis
-Rules-Requires-Root: no
 
 Package: python3-djangorestframework-gis
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,5 @@
  python3-packaging,
  python3-psycopg2,
  python3-pytest-django,
- python3-tz,
  @,
- @builddeps@,
 Restrictions: needs-root,isolation-container,allow-stderr
